Main Page | Directories | File List | File Members | Related Pages

# LinearStatistic.c File Reference

`#include "party.h"`

Include dependency graph for LinearStatistic.c:

Go to the source code of this file.

## Functions
void | C_LinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, double *ans)
SEXP | R_LinearStatistic (SEXP x, SEXP y, SEXP weights)
void | C_ExpectCovarInfluence (const double *y, const int q, const double *weights, const int n, SEXP ans)
SEXP | R_ExpectCovarInfluence (SEXP y, SEXP weights)
void | C_ExpectCovarLinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, const SEXP expcovinf, SEXP ans)
SEXP | R_ExpectCovarLinearStatistic (SEXP x, SEXP y, SEXP weights, SEXP expcovinf)
void | C_PermutedLinearStatistic (const double *x, const int p, const double *y, const int q, const int n, const int nperm, const int *indx, const int *perm, double *ans)
SEXP | R_PermutedLinearStatistic (SEXP x, SEXP y, SEXP indx, SEXP perm)
void | C_scmatleft (const double *x, const int p, const int q, double *ans)
SEXP | R_scmatleft (SEXP x, SEXP pq)
void | C_scmatright (const double *x, const int p, const int q, double *ans)
SEXP | R_scmatright (SEXP x, SEXP pq)

## Detailed Description

Linear statistics for conditional inference based on Strasser & Weber (1999)

Author:
  Author
    hothorn

Date:
  Date
    2005-06-14 11:21:32 +0200 (Tue, 14 Jun 2005)

Definition in file LinearStatistic.c.

## Function Documentation

void C_ExpectCovarInfluence | ( | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | SEXP | ans
| ) |

  | Conditional expectation and covariance of the influence function Parameters:
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | ans | return value; an object of class `ExpectCovarInfluence'
Definition at line 101 of file LinearStatistic.c. References PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Referenced by C_GlobalTest(), C_LinStatExpCov(), C_surrogates(), and R_ExpectCovarInfluence().

void C_ExpectCovarLinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | const SEXP | expcovinf,
|  | SEXP | ans
| ) |

  | Conditional expectation and covariance of the a linear statistic Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | expcovinf | an object of class `ExpectCovarInfluence'
  | ans | return value; an object of class `ExpectCovar'
Definition at line 213 of file LinearStatistic.c. References C_kronecker(), PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Referenced by C_LinStatExpCov(), and R_ExpectCovarLinearStatistic(). Here is the call graph for this function:

void C_LinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | double * | ans
| ) |

  | Computes the linear statistic, formula (1) in the paper Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 23 of file LinearStatistic.c. Referenced by C_LinStatExpCov(), C_MonteCarlo(), and R_LinearStatistic().

void C_PermutedLinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const int | n,
|  | const int | nperm,
|  | const int * | indx,
|  | const int * | perm,
|  | double * | ans
| ) |

  | Linear Statistic with permuted indices Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | n | number of observations
  | nperm | number of permutations
  | indx | indices for the x-part
  | perm | (permuted) indices for the y-part
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 351 of file LinearStatistic.c. Referenced by C_MonteCarlo(), and R_PermutedLinearStatistic().

void C_scmatleft | ( | const double * | x,
|  | const int | p,
|  | const int | q,
|  | double * | ans
| ) |

  | Score matrix for a linear combination of a linear statistic from the left Parameters:
  | x | score vector of length p
  | p | length of x
  | q | dimension of the influence function
  | ans | return value; a pointer to a q x (pq) matrix
Definition at line 440 of file LinearStatistic.c. Referenced by R_scmatleft().

void C_scmatright | ( | const double * | x,
|  | const int | p,
|  | const int | q,
|  | double * | ans
| ) |

  | Score matrix for a linear combination of a linear statistic from the right Parameters:
  | x | score vector of length q
  | p | dimension of the transformation
  | q | length of x
  | ans | return value; a pointer to a p x (pq) matrix
Definition at line 505 of file LinearStatistic.c. Referenced by R_scmatright().

SEXP R_ExpectCovarInfluence | ( | SEXP | y,
|  | SEXP | weights
| ) |

  | R-interface to C_ExpectCovarInfluence Parameters:
  | y | values of the influence function
  | weights | case weights
Definition at line 171 of file LinearStatistic.c. References C_ExpectCovarInfluence(), ncol(), nrow(), PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Here is the call graph for this function:

SEXP R_ExpectCovarLinearStatistic | ( | SEXP | x,
|  | SEXP | y,
|  | SEXP | weights,
|  | SEXP | expcovinf
| ) |

  | R-interface to C_ExpectCovarLinearStatistic Parameters:
  | x | values of the transformation
  | y | values of the influence function
  | weights | case weights
  | expcovinf | an object of class `ExpectCovarInfluence'
Definition at line 306 of file LinearStatistic.c. References C_ExpectCovarLinearStatistic(), ncol(), nrow(), PL2_covarianceSym, and PL2_expectationSym. Here is the call graph for this function:

SEXP R_LinearStatistic | ( | SEXP | x,
|  | SEXP | y,
|  | SEXP | weights
| ) |

  | R-interface to C_LinearStatistic Parameters:
  | x | values of the transformation
  | y | values of the influence function
  | weights | case weights
Definition at line 59 of file LinearStatistic.c. References C_LinearStatistic(), ncol(), and nrow(). Here is the call graph for this function:

SEXP R_PermutedLinearStatistic | ( | SEXP | x,
|  | SEXP | y,
|  | SEXP | indx,
|  | SEXP | perm
| ) |

  | Linear Statistic with permuted indices Parameters:
  | x | values of the transformation
  | y | values of the influence function
  | indx | indices for the x-part
  | perm | (permuted) indices for the y-part
Definition at line 384 of file LinearStatistic.c. References C_PermutedLinearStatistic(), ncol(), and nrow(). Here is the call graph for this function:

SEXP R_scmatleft | ( | SEXP | x,
|  | SEXP | pq
| ) |

  | R-interface to C_scmatleft Parameters:
  | x | score vector of length p
  | pq | dimension of the linear statistic
Definition at line 472 of file LinearStatistic.c. References C_scmatleft(). Here is the call graph for this function:

SEXP R_scmatright | ( | SEXP | x,
|  | SEXP | pq
| ) |

  | R-interface to C_scmatright Parameters:
  | x | score vector of length q
  | pq | dimension of the linear statistic
Definition at line 537 of file LinearStatistic.c. References C_scmatright(). Here is the call graph for this function: